> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payra.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Service Types

> Get all service types.



## OpenAPI

````yaml /api-reference/openapi.json get /back-office/onboard/service-types
openapi: 3.1.0
info:
  title: Payra API
  version: 1.0.0
  description: Documentação da API para Backoffice e Service
servers: []
security: []
paths:
  /back-office/onboard/service-types:
    get:
      tags:
        - Onboarding
      summary: Get All Service Types
      description: Get all service types.
      operationId: getServiceTypes
      responses:
        '200':
          description: Successfully retrieved service types
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                  message:
                    type: string
                  data:
                    type: object
                    properties:
                      serviceTypes:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                              minLength: 1
                            name:
                              type: string
                              minLength: 1
                            url:
                              type: string
                              format: uri
                            description:
                              type: string
                            configurationSchema:
                              type: object
                              additionalProperties: {}
                            id:
                              type: string
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                          required:
                            - code
                            - name
                            - id
                            - createdAt
                            - updatedAt
                    required:
                      - serviceTypes
                required:
                  - data
        '401':
          description: >-
            Unauthorized. The provided authentication token is invalid or
            expired.
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                    default: unauthorized
                  message:
                    type: string
                  data: {}
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - health_status_ok
                      - health_status_error
                      - validation_error
                      - bad_request
                      - unauthorized
                      - forbidden
                      - not_found
                      - method_not_allowed
                      - internal_server_error
                      - organization_not_found
                      - cannot_access_organization
                      - api_key_not_found
                      - resource_already_exists
                    default: internal_server_error
                  message:
                    type: string
                  data: {}

````